.mobile-menu {
	background: #fff;
	width: rem(300);
	position: fixed;
	left: 0;
	top: 0;
	bottom: 0;
	z-index: 1000;
	box-shadow: 0 0 rem(4) rgba(#000, 0.5);
	overflow: auto;
	visibility: hidden;
	opacity: 0;
	transform: translate(-100%, 0);
	transition: opacity .25s, visibility .25s, transform .25s;

	@include media($sm) {
		width: rem(350);
	}

	&__title {
		display: block;
		text-transform: uppercase;
		border-bottom: 1px solid #f1f1f1;
		padding: rem(15) rem(25);
		color: #000;
		font-size: 12px;
		font-weight: 700;
		text-align: center;
	}

	&--visible {
		visibility: visible;
		opacity: 1;
		transform: translate(0, 0);
	}

	&__link {
		display: block;
		text-transform: uppercase;
		border-bottom: 1px solid #f1f1f1;
		padding: rem(15) rem(25);
		color: #000;
		font-size: 12px;
		font-weight: 700;
		cursor: pointer;
		transition: color .25s;

		&:hover {
			color: $color-primary;
		}
	}
}

.page-overlay {
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: 999;
	background: rgba(#000, 0.6);
	opacity: 0;
	visibility: hidden;
	transition: opacity .25s, visibility .25s;

	&--visible {
		opacity: 1;
		visibility: visible;
	}
}